/***************************************************************************
 *   Copyright (C) 2006 by M.Fedotov   *
 *   mo_fedotov@mail.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef AR_DCOP_H
#define AR_DCOP_H

#include <qstring.h>
#include <dcopobject.h>

/**
	@author M.Fedotov <mo_fedotov@mail.ru>
*/
class AR_dcop :   public DCOPObject 
{
K_DCOP

public:
    AR_dcop();

    ~AR_dcop();

k_dcop:
    bool    isConnected ();
    void    Connect 	();
    void    Disconnect	();
    void    remoteOn	(bool set);
    void    setCfgFile	(QString file);
    QString getCfgFile	();
    void setMode(QString mode);
    QString getMode();
};

#endif
